@mixin status {
  font-size: var(--font-size-scale-up-01);

  .is-success {
    background-color: var(--color-success);
    border: 2px solid var(--pure-0);
    border-radius: 20px;
    color: var(--pure-0);
    height: 1.5em;
    padding: 0.3em;
    width: 1.5em;
  }

  .is-warning {
    background-color: var(--color-warning);
    border: 2px solid var(--pure-0);
    border-radius: 20px;
    color: var(--pure-0);
    height: 1.5em;
    padding: 0.3em;
    width: 1.5em;
  }

  .is-info {
    background-color: var(--color-info);
    border: 2px solid var(--pure-0);
    border-radius: 20px;
    color: var(--pure-0);
    height: 1.5em;
    padding: 0.3em;
    width: 1.5em;
  }

  .is-danger {
    background-color: var(--color-danger);
    border: 2px solid var(--pure-0);
    border-radius: 20px;
    color: var(--pure-0);
    height: 1.5em;
    padding: 0.3em;
    width: 1.5em;
  }
}

@mixin colors-icon {
  .is-success {
    background-color: var(--color-success);
    border: 2px solid var(--pure-0);
    border-radius: 20px;
    color: var(--color-success);
  }

  .is-warning {
    background-color: var(--color-warning);
    border: 2px solid var(--pure-0);
    border-radius: 20px;
    color: var(--color-warning);
  }

  .is-info {
    background-color: var(--color-info);
    border: 2px solid var(--pure-0);
    border-radius: 20px;
    color: var(--color-info);
  }

  .is-danger {
    background-color: var(--color-danger);
    border: 2px solid var(--pure-0);
    border-radius: 20px;
    color: var(--color-danger) !important;
  }
}

@mixin type {
  &:not(.is-right) {
    padding: 0.1em;
  }

  &:not(.is-left) {
    padding: 0.1em 0 0;
  }

  &:not(.is-right),
  &:not(.is-left) {
    &.icon {
      @include colors-icon();
      color: transparent;
      font-size: var(--font-size-scale-down-01) !important;
      line-height: var(--font-line-height-low) !important;
      min-height: 0.5em;
      min-width: 0.5em;

      &:not(.is-bottom) {
        bottom: 0;
        left: -0.5em;
      }

      &:not(.is-top) {
        bottom: -0.2em;
        left: -0.9em;
      }
    }
  }

  &.simbol {
    @include status();
    font-size: var(--font-size-scale-up-01);
    min-height: 0.8em;
    min-width: 0.8em;
  }
}

@mixin status-icon-top {
  position: absolute;
  top: 0;

  &.is-right {
    @include type();
    left: auto;
    right: -1.3em;
  }

  &.is-left {
    @include type();
    left: -1.3em;
    right: auto;
  }
}

@mixin status-icon-bottom {
  bottom: -0.5em;
  position: absolute;

  &.is-right {
    @include type();
    left: auto;
    right: -1.2em;
  }

  &.is-left {
    @include type;
    left: -1.2em;
    right: auto;
  }
}
